package com.redxun.knowledge.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.knowledge.entity.dao.News;
import org.apache.ibatis.annotations.Mapper;
import com.redxun.common.base.db.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
* 业务--新闻表数据库访问层
*/
@Mapper
public interface NewsMapper extends BaseDao<News> {

    /**
     * 分页查询
     * @param page
     * @param params
     * @return
     */
    IPage findAllNews(IPage<News> page,@Param("params")Map<String, Object> params,@Param("w") Map<String, Object> order);

    IPage findAllPcNews(IPage page,@Param("params") Map<String,Object> params);
}
